package com.xgfe.reactnativeenv;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.Map;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.JavaScriptModule;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;


public class RCTNativeEnvPackage implements ReactPackage {

    public RCTNativeEnvPackage(Class buildConfig) {
        super();
        RCTNativeEnv.initEnv(buildConfig);
    }

    public RCTNativeEnvPackage(Class buildConfig, Map envs) {
        super();
        RCTNativeEnv.initEnv(buildConfig, envs);
    }

    @Override
    public List<NativeModule> createNativeModules(ReactApplicationContext reactContext) {
        return Arrays.<NativeModule>asList(
                new RCTNativeEnv(reactContext)
        );
    }

    @Override
    public List<Class<? extends JavaScriptModule>> createJSModules() {
        return Collections.emptyList();
    }

    @Override
    public List<ViewManager> createViewManagers(ReactApplicationContext reactContext) {
        return Arrays.<ViewManager>asList();
    }
}
